SIAD(1)

NAME

siad - Sia Daemon

SYNOPSIS

siad version
siad modules
siad [OPTIONS]

DESCRIPTION

The Sia daemon, siad, is a background process that does all of the heavy lifting for Sia. The daemon downloads the blockchain, uploads files, manages redundancy, monitors hosts for uptime, to name a few of the many tasks that it performs. The daemon is composed of modules, and each modules provides a set of primary functions on the network.

OPTIONS

--agent="Sia-Agent"
    required substring for the user agent

--api-addr="localhost:9980"
    which host:port the API server listens on

--authenticate-api[=false]
    enable API password protection

--disable-api-security[=false]
    allow siad to listen on a non-localhost address (DANGEROUS)

--host-addr=":9982"
    which port the host listens on

-M, --modules="cghrtw"

    Use the -M or --modules flag to only run specific modules. Modules are independent components of Sia. This flag should only be used by developers or people who want to reduce overhead from unused modules. Modules are specified by their first letter. If the -M or --modules flag is not specified the default
    modules are run. The default modules are:
    gateway, consensus set, host, miner, renter, transaction pool, wallet
    This is equivalent to:
        siad -M cghmrtw
    Below is a list of all the modules available.

    Gateway (g):
    The gateway maintains a peer to peer connection to the network and enables other modules to perform RPC calls on peers. The gateway is required by all other modules.
    Example: siad -M g

    Consensus Set (c):
    The consensus set manages everything related to consensus and keeps the blockchain in sync with the rest of the network. The consensus set requires the gateway.
    Example:siad -M gc

    Transaction Pool (t):
    The transaction pool manages unconfirmed transactions. The transaction pool requires the consensus set.
    Example:siad -M gct

    Wallet (w):
    The wallet stores and manages siacoins and siafunds. The wallet requires the consensus set and transaction pool.
    Example: siad -M gctw

    Renter (r):
    The renter manages the user's files on the network. The renter requires the consensus set, transaction pool, and wallet.
    Example: siad -M gctwr

    Host (h):
    The host provides storage from local disks to the network. The host negotiates file contracts with remote renters to earn money for storing other users' files. The host requires the consensus set, transaction pool, and wallet.
    Example: siad -M gctwh

    Miner (m):
    The miner provides a basic CPU mining implementation as well as an API for external miners to use. The miner requires the consensus set, transaction pool, and wallet.
    Example: siad -M gctwm

    Explorer (e):
    The explorer provides statistics about the blockchain and can be queried for information about specific transactions or other objects on the blockchain. The explorer requires the consenus set.
    Example: siad -M gce

--no-bootstrap[=false]
    disable bootstrapping on this run

--profile[=false]
    enable profiling

--profile-directory="profiles"
    location of the profiling directory

--rpc-addr=":9981"
    which port the gateway listens on

-d, --sia-directory=""
    location of the sia directory

SEE ALSO

../siad-modules(1), ../siad-version(1)

HISTORY

1-May-2017 Auto generated by spf13/cobra